<template>
  <div>
    <v-toolbar :light="true">
      <router-link :to="{name: 'home'}" style="height: 100%">
       <img v-if="settings && settings.logo1" class="nav-logo align-middle" :src="settings.logo1" alt="logo de la ville" >
       <img v-if="settings && settings.logo2" class="nav-logo align-middle" :src="settings.logo2" alt="logo de la ville" >
      </router-link>
      <v-toolbar-title></v-toolbar-title>
      <v-spacer></v-spacer>
      <v-toolbar-items>
        <v-btn :to="{name: 'login'}" class="text-primary" text v-if="!user">
            Connexion
            <v-icon>mdi-account</v-icon>
        </v-btn>
        <v-btn :to="{name: 'home'}" class="text-primary" text v-else @click="logout()">
            Deconnexion
            <v-icon>mdi-account-off</v-icon>
        </v-btn>
        <v-btn :to="{name: 'admin'}" class="admin text-primary" v-if="user && user.isAdmin">
          Admin
        </v-btn>
        <!-- <v-btn to="#" class="aide font-weight-bold" text>Aide<v-icon>mdi-help</v-icon></v-btn> -->
      </v-toolbar-items>
      <template v-if="$vuetify.breakpoint.smAndUp">
      </template>
    </v-toolbar>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator';
import { mapState } from "vuex";
@Component({
  computed:{
    ...mapState([
      'user',
      'settings'
    ])
  }
})
export default class Navbar extends Vue {
mounted(){
  this.$store.dispatch('getSettings');
}
logout() {
  this.$store.dispatch('logout');
}
}
</script>

<style scoped>
  .nav-logo {
    max-height: 100%;
    object-fit: cover;
  }

  .aide{
    background-color: lightskyblue;
    border-radius: 10px;
  }
  .aide:hover{
    background-color: lightgreen;
  }
  .admin{
    font-weight: bold;
  }
  .deconnexion{
    font-weight: bold;
  }
</style>
